* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "montserrat", sans-serif;
  color: #fff;
  background-image: url("bg.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 100vh;
}

.app {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  background: rgba(0, 0, 0, 0.7);
  height: 100vh;
}

.header {
  padding: 50px 20px 30px 20px;
}

.header h1 {
  font-size: 50px;
  color: #fbb034;
  text-shadow: 1px 4px rgba(0, 0, 0, 0.9);
}

.header input {
  width: 100%;
  padding: 10px;
  background: transparent;
  margin-top: 20px;
  border: 0;
  outline: 0;
  border-bottom: 1px solid #fbb034;
  text-align: center;
  font-size: 20px;
  color: #fff;
}

.city {
  font-size: 25px;
  margin-bottom: 10px;
  text-shadow: 1px 3px rgba(0, 0, 0, 0.7);
}

.temp {
  font-size: 25px;
  margin-bottom: 15px;
  text-shadow: 1px 3px rgba(0, 0, 0, 0.7);
}

.desc {
  font-size: 25px;
  margin-bottom: 15px;
  text-shadow: 1px 3px rgba(0, 0, 0, 0.7);
}

.hum,
.minmax {
  font-size: 25px;
  text-shadow: 1px 3px rgba(0, 0, 0, 0.7);
}

ul li h4 {
  padding-bottom: 10px;
  border-bottom: 2px solid;
}

ul li div {
  padding-top: 10px;
}

ul li {
  list-style: none;
  border: 2px solid;
  padding: 10px;
  width: 200px;
}

ul {
  display: flex;
  justify-content: center;
  flex-direction: row;
  gap: 40px;
}

@media (max-width: 768px) {
  .header h1 {
    font-size: 30px;
    text-align: center;
  }

  ul {
    flex-direction: column;
  }

  .desc,
  .temp,
  .city,
  .minmax,
  .hum {
    font-size: 20px;
  }
}
